﻿DROP VIEW IF EXISTS `jmichae3`.`workhours`;
CREATE OR REPLACE VIEW `jmichae3`.`workhours` AS
select
  `jmichae3`.`work`.`id` AS `id`,
  `jmichae3`.`work`.`name` AS `name`,
  `jmichae3`.`work`.`prj` AS `prj`,
  `jmichae3`.`work`.`tasknum` AS `tasknum`,
  timediff(`jmichae3`.`work`.`end_time`,`jmichae3`.`work`.`start_time`) AS `elapsed`,
  `jmichae3`.`work`.`church` AS `church`,
  `jmichae3`.`work`.`satisfied` AS `satisfied`
from 
	`jmichae3`.`work` 
order by 
	`jmichae3`.`work`.`name`,
	`jmichae3`.`work`.`prj`,
	`jmichae3`.`work`.`tasknum`;