﻿DROP VIEW IF EXISTS `jmichae3`.`workhourstot`;
CREATE OR REPLACE VIEW `workhourstot` AS
select
  `work`.`id` AS `id`,
  `work`.`name` AS `name`,
  `work`.`prj` AS `prj`,
  ((sum(minute(timediff(`work`.`end_time`,`work`.`start_time`))) DIV 60) + sum(hour(timediff(`work`.`end_time`,`work`.`start_time`)))) AS `hour`,
  (sum(minute(timediff(`work`.`end_time`,`work`.`start_time`))) % 60) AS `minute`,
  `work`.`church` AS `church`,
  AVG(`work`.`satisfied`) AS `satisfied`,
  COUNT(`work`.`satisfied`) AS `cnt`
from 
	`work` 
group by 
	`work`.`name`,
	`work`.`prj`;